Symptoms

Assume that you restore a SQL Server Integration Services (SSIS) catalog database from an older version of SQL Server to an instance of Microsoft SQL Server 2016 Standard Edition with Service Pack 1 (SP1) or SQL Server 2017 installed. When you use SSISDB Upgrade Wizard to upgrade the SSIS Catalog database, an error that resembles the following might occur:

The SQL Server edition or version do not meet the minimum requirements to create a Master Data Services database. (Microsoft.SqlServer.IntegrationServices.ISServerDBUpdate)

Resolution

This issue is fixed in the following cumulative updates for SQL Server:

      Cumulative Update 6 for SQL Server 2017 

       Cumulative update 8 for SQL Server 2016 SP1

Each new cumulative update for SQL Server contains all the hotfixes and all the security fixes that were included with the previous cumulative update. Check out the latest cumulative updates for SQL Server:

Latest cumulative update for SQL Server 2017

Latest cumulative update for SQL Server 2016

Status

Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

References

Learn about the terminologythat Microsoft uses to describe software updates.

Har du brug for mere hjælp?

Udvid dine færdigheder
Gå på opdagelse i kurser
Få nye funktioner først
Deltag i Microsoft insiders

Var disse oplysninger nyttige?

Hvad påvirkede din oplevelse?

Tak for din feedback!

×